> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tapkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Drag

> Drag from one point to another

Execute a drag gesture from one point to another.

## Request

```bash theme={null}
curl -X POST https://api.tapkit.ai/v1/phones/{phone_id}/drag \
  -H "X-API-Key: joot_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"from_x": 100, "from_y": 200, "to_x": 300, "to_y": 400}'
```

### Request Body

```json theme={null}
{
  "from_x": 100,
  "from_y": 200,
  "to_x": 300,
  "to_y": 400
}
```

| Field    | Type      | Description           |
| -------- | --------- | --------------------- |
| `from_x` | `integer` | Starting X coordinate |
| `from_y` | `integer` | Starting Y coordinate |
| `to_x`   | `integer` | Ending X coordinate   |
| `to_y`   | `integer` | Ending Y coordinate   |

## Use Cases

* Move elements
* Adjust sliders
* Pull to refresh

## Related Endpoints

* [Drag by Description](/api-reference/phones/drag-select) - Drag using natural language
* [Hold and Drag](/api-reference/phones/hold-and-drag) - Hold before dragging
